2019-12-10 11:10 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001094FSSCPmultiplayerpublic2008-04-05 13:39
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeveritytrivialReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001094: Guns select chages on respawn
DescriptionAs far as I know this one has always existed. Quite frequently when repawning guns will switch back to only bank one selected. Doesn't matter if you have bank two or dual fire on. Not a major problem but a pain in the but. I have seen it with missles banks too but very rarely.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009139

taylor (administrator)

The code to issue this change is commented out, and it appears to have been that way since retail. The code to keep up with it otherwise and process it on client/server appears to still be intact though. There isn't a comment to tell why that code was disabled so I'm not sure if there is an actual reason for it or if it was something that they forgot to enable again.

I'll get you a new test build with this feature turned back on and you can test it to be sure that everything is working. But looking at the code I don't see any reason for it cause a problem.

~0009164

taylor (administrator)

Give it a try with this build:
http://icculus.org/~taylor/fso/testing/20080403_trunk-win32.rar

~0009194

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-10-06 18:07 FUBAR-BDHR New Issue
2008-04-01 20:28 taylor Note Added: 0009139
2008-04-03 06:01 taylor Note Added: 0009164
2008-04-05 13:39 taylor Status assigned => resolved
2008-04-05 13:39 taylor Fixed in Version => 3.6.10
2008-04-05 13:39 taylor Resolution open => fixed
2008-04-05 13:39 taylor Note Added: 0009194
+Issue History